cdfMergeStrands {affxparser} | R Documentation

## Function to join CDF groups with the same names

### Description

Function to join CDF groups with the same names.

This `function` is design to be used with `applyCdfGroups`() on an Affymetrix Mapping (SNP) CDF `list` structure.

This can be used to join the sense and anti-sense groups of the same allele in SNP arrays.

### Usage

    cdfMergeStrands(groups, ...)

### Arguments

`groups` | A `list` structure with groups.
`...` | Not used.

### Details

If a unit has two strands, they are merged such that the elements for the second strand are concattenated to the end of the elements of first strand (This is done seperately for the two alleles).

### Value

Returns a `list` structure with only two groups.

### Author(s)

Henrik Bengtsson (http://www.braju.com/R/)

### References

[1] Affymetrix, Understanding Genotyping Probe Set Structure, 2005. http://www.affymetrix.com/support/developer/whitepapers/genotyping_probe_set_structure.affx

### See Also

`applyCdfGroups`().

[Package affxparser version 1.10.2 Index]